Index: uspace/srv/net/ethip/std.h
===================================================================
--- uspace/srv/net/ethip/std.h	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/ethip/std.h	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -39,5 +39,4 @@
 
 #include <stdint.h>
-#include <inet/addr.h>
 
 #define ETH_ADDR_SIZE       6
@@ -48,7 +47,7 @@
 typedef struct {
 	/** Destination Address */
-	addr48_t dest;
+	uint8_t dest[ETH_ADDR_SIZE];
 	/** Source Address */
-	addr48_t src;
+	uint8_t src[ETH_ADDR_SIZE];
 	/** Ethertype or Length */
 	uint16_t etype_len;
@@ -68,11 +67,11 @@
 	uint16_t opcode;
 	/** Sender hardware address */
-	addr48_t sender_hw_addr;
+	uint8_t sender_hw_addr[ETH_ADDR_SIZE];
 	/** Sender protocol address */
-	addr32_t sender_proto_addr;
+	uint32_t sender_proto_addr;
 	/** Target hardware address */
-	addr48_t target_hw_addr;
+	uint8_t target_hw_addr[ETH_ADDR_SIZE];
 	/** Target protocol address */
-	addr32_t target_proto_addr;
+	uint32_t target_proto_addr;
 } __attribute__((packed)) arp_eth_packet_fmt_t;
 
Index: uspace/srv/net/inetsrv/addrobj.c
===================================================================
--- uspace/srv/net/inetsrv/addrobj.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/addrobj.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -38,4 +38,5 @@
 #include <errno.h>
 #include <fibril_synch.h>
+#include <inet/eth_addr.h>
 #include <io/log.h>
 #include <ipc/loc.h>
@@ -229,5 +230,5 @@
 
 	errno_t rc;
-	addr48_t ldest_mac;
+	eth_addr_t ldest_mac;
 
 	switch (ldest_ver) {
@@ -239,9 +240,9 @@
 		 * Translate local destination IPv6 address.
 		 */
-		rc = ndp_translate(lsrc_v6, ldest_v6, ldest_mac, addr->ilink);
+		rc = ndp_translate(lsrc_v6, ldest_v6, &ldest_mac, addr->ilink);
 		if (rc != EOK)
 			return rc;
 
-		return inet_link_send_dgram6(addr->ilink, ldest_mac, dgram,
+		return inet_link_send_dgram6(addr->ilink, &ldest_mac, dgram,
 		    proto, ttl, df);
 	default:
Index: uspace/srv/net/inetsrv/inet_link.c
===================================================================
--- uspace/srv/net/inetsrv/inet_link.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/inet_link.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -35,13 +35,14 @@
  */
 
-#include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
+#include <inet/eth_addr.h>
 #include <inet/iplink.h>
 #include <io/log.h>
 #include <loc.h>
+#include <stdbool.h>
 #include <stdlib.h>
 #include <str.h>
+#include <str_error.h>
 #include "addrobj.h"
 #include "inetsrv.h"
@@ -56,5 +57,5 @@
 
 static errno_t inet_iplink_recv(iplink_t *, iplink_recv_sdu_t *, ip_ver_t);
-static errno_t inet_iplink_change_addr(iplink_t *, addr48_t);
+static errno_t inet_iplink_change_addr(iplink_t *, eth_addr_t *);
 static inet_link_t *inet_link_get_by_id_locked(sysarg_t);
 
@@ -70,15 +71,18 @@
     { 0xfe, 0x80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0xff, 0xfe, 0, 0, 0 };
 
-static void inet_link_local_node_ip(addr48_t mac_addr,
+static void inet_link_local_node_ip(eth_addr_t *mac_addr,
     addr128_t ip_addr)
 {
+	uint8_t b[ETH_ADDR_SIZE];
+
 	memcpy(ip_addr, link_local_node_ip, 16);
-
-	ip_addr[8] = mac_addr[0] ^ 0x02;
-	ip_addr[9] = mac_addr[1];
-	ip_addr[10] = mac_addr[2];
-	ip_addr[13] = mac_addr[3];
-	ip_addr[14] = mac_addr[4];
-	ip_addr[15] = mac_addr[5];
+	eth_addr_encode(mac_addr, b);
+
+	ip_addr[8] = b[0] ^ 0x02;
+	ip_addr[9] = b[1];
+	ip_addr[10] = b[2];
+	ip_addr[13] = b[3];
+	ip_addr[14] = b[4];
+	ip_addr[15] = b[5];
 }
 
@@ -121,13 +125,15 @@
 }
 
-static errno_t inet_iplink_change_addr(iplink_t *iplink, addr48_t mac)
-{
+static errno_t inet_iplink_change_addr(iplink_t *iplink, eth_addr_t *mac)
+{
+	eth_addr_str_t saddr;
+
+	eth_addr_format(mac, &saddr);
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_iplink_change_addr(): "
-	    "new addr=%02x:%02x:%02x:%02x:%02x:%02x",
-	    mac[0], mac[1], mac[2], mac[3], mac[4], mac[5]);
+	    "new addr=%s", saddr.str);
 
 	list_foreach(inet_links, link_list, inet_link_t, ilink) {
 		if (ilink->sess == iplink->sess)
-			memcpy(&ilink->mac, mac, sizeof(addr48_t));
+			ilink->mac = *mac;
 	}
 
@@ -261,5 +267,5 @@
 
 		addr128_t link_local;
-		inet_link_local_node_ip(ilink->mac, link_local);
+		inet_link_local_node_ip(&ilink->mac, link_local);
 
 		inet_naddr_set6(link_local, 64, &addr6->naddr);
@@ -387,5 +393,5 @@
  *
  */
-errno_t inet_link_send_dgram6(inet_link_t *ilink, addr48_t ldest,
+errno_t inet_link_send_dgram6(inet_link_t *ilink, eth_addr_t *ldest,
     inet_dgram_t *dgram, uint8_t proto, uint8_t ttl, int df)
 {
@@ -401,5 +407,5 @@
 
 	iplink_sdu6_t sdu6;
-	addr48(ldest, sdu6.dest);
+	sdu6.dest = *ldest;
 
 	/*
Index: uspace/srv/net/inetsrv/inet_link.h
===================================================================
--- uspace/srv/net/inetsrv/inet_link.h	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/inet_link.h	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -38,4 +38,5 @@
 #define INET_LINK_H_
 
+#include <inet/eth_addr.h>
 #include <stddef.h>
 #include <stdint.h>
@@ -45,5 +46,5 @@
 extern errno_t inet_link_send_dgram(inet_link_t *, addr32_t,
     addr32_t, inet_dgram_t *, uint8_t, uint8_t, int);
-extern errno_t inet_link_send_dgram6(inet_link_t *, addr48_t, inet_dgram_t *,
+extern errno_t inet_link_send_dgram6(inet_link_t *, eth_addr_t *, inet_dgram_t *,
     uint8_t, uint8_t, int);
 extern inet_link_t *inet_link_get_by_id(sysarg_t);
Index: uspace/srv/net/inetsrv/inetcfg.c
===================================================================
--- uspace/srv/net/inetsrv/inetcfg.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/inetcfg.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2013 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -177,7 +177,7 @@
 	linfo->def_mtu = ilink->def_mtu;
 	if (ilink->mac_valid) {
-		addr48(ilink->mac, linfo->mac_addr);
+		linfo->mac_addr = ilink->mac;
 	} else {
-		memset(linfo->mac_addr, 0, sizeof(linfo->mac_addr));
+		memset(&linfo->mac_addr, 0, sizeof(linfo->mac_addr));
 	}
 
Index: uspace/srv/net/inetsrv/inetsrv.h
===================================================================
--- uspace/srv/net/inetsrv/inetsrv.h	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/inetsrv.h	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -41,4 +41,5 @@
 #include <stdbool.h>
 #include <inet/addr.h>
+#include <inet/eth_addr.h>
 #include <inet/iplink.h>
 #include <ipc/loc.h>
@@ -109,5 +110,5 @@
 	iplink_t *iplink;
 	size_t def_mtu;
-	addr48_t mac;
+	eth_addr_t mac;
 	bool mac_valid;
 } inet_link_t;
Index: uspace/srv/net/inetsrv/meson.build
===================================================================
--- uspace/srv/net/inetsrv/meson.build	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/meson.build	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 #
-# Copyright (c) 2012 Jiri Svoboda
+# Copyright (c) 2021 Jiri Svoboda
 # All rights reserved.
 #
@@ -27,4 +27,5 @@
 #
 
+deps = [ 'inet' ]
 src = files(
 	'addrobj.c',
Index: uspace/srv/net/inetsrv/ndp.c
===================================================================
--- uspace/srv/net/inetsrv/ndp.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/ndp.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2021 Jiri Svoboda
  * Copyright (c) 2013 Antonin Steinhauser
  * All rights reserved.
@@ -36,7 +37,8 @@
 
 #include <errno.h>
+#include <inet/eth_addr.h>
+#include <io/log.h>
 #include <mem.h>
 #include <stdlib.h>
-#include <io/log.h>
 #include "ntrans.h"
 #include "addrobj.h"
@@ -69,5 +71,5 @@
 	ndp_pdu_encode(packet, &dgram);
 
-	inet_link_send_dgram6(link, packet->target_hw_addr, &dgram,
+	inet_link_send_dgram6(link, &packet->target_hw_addr, &dgram,
 	    IP_PROTO_ICMPV6, INET6_HOP_LIMIT_MAX, 0);
 
@@ -108,5 +110,5 @@
 		if (laddr != NULL) {
 			rc = ntrans_add(packet.sender_proto_addr,
-			    packet.sender_hw_addr);
+			    &packet.sender_hw_addr);
 			if (rc != EOK)
 				return rc;
@@ -115,7 +117,7 @@
 
 			reply.opcode = ICMPV6_NEIGHBOUR_ADVERTISEMENT;
-			addr48(laddr->ilink->mac, reply.sender_hw_addr);
+			reply.sender_hw_addr = laddr->ilink->mac;
 			addr128(packet.target_proto_addr, reply.sender_proto_addr);
-			addr48(packet.sender_hw_addr, reply.target_hw_addr);
+			reply.target_hw_addr = packet.sender_hw_addr;
 			addr128(packet.sender_proto_addr, reply.target_proto_addr);
 
@@ -128,5 +130,5 @@
 		if (laddr != NULL)
 			return ntrans_add(packet.sender_proto_addr,
-			    packet.sender_hw_addr);
+			    &packet.sender_hw_addr);
 
 		break;
@@ -151,5 +153,5 @@
  *
  */
-errno_t ndp_translate(addr128_t src_addr, addr128_t ip_addr, addr48_t mac_addr,
+errno_t ndp_translate(addr128_t src_addr, addr128_t ip_addr, eth_addr_t *mac_addr,
     inet_link_t *ilink)
 {
@@ -167,8 +169,8 @@
 
 	packet.opcode = ICMPV6_NEIGHBOUR_SOLICITATION;
-	addr48(ilink->mac, packet.sender_hw_addr);
+	packet.sender_hw_addr = ilink->mac;
 	addr128(src_addr, packet.sender_proto_addr);
 	addr128(ip_addr, packet.solicited_ip);
-	addr48_solicited_node(ip_addr, packet.target_hw_addr);
+	eth_addr_solicited_node(ip_addr, &packet.target_hw_addr);
 	ndp_solicited_node_ip(ip_addr, packet.target_proto_addr);
 
Index: uspace/srv/net/inetsrv/ndp.h
===================================================================
--- uspace/srv/net/inetsrv/ndp.h	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/ndp.h	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2021 Jiri Svoboda
  * Copyright (c) 2013 Antonin Steinhauser
  * All rights reserved.
@@ -39,4 +40,5 @@
 
 #include <inet/addr.h>
+#include <inet/eth_addr.h>
 #include "inetsrv.h"
 #include "icmpv6_std.h"
@@ -52,9 +54,9 @@
 	ndp_opcode_t opcode;
 	/** Sender hardware address */
-	addr48_t sender_hw_addr;
+	eth_addr_t sender_hw_addr;
 	/** Sender protocol address */
 	addr128_t sender_proto_addr;
 	/** Target hardware address */
-	addr48_t target_hw_addr;
+	eth_addr_t target_hw_addr;
 	/** Target protocol address */
 	addr128_t target_proto_addr;
@@ -64,5 +66,5 @@
 
 extern errno_t ndp_received(inet_dgram_t *);
-extern errno_t ndp_translate(addr128_t, addr128_t, addr48_t, inet_link_t *);
+extern errno_t ndp_translate(addr128_t, addr128_t, eth_addr_t *, inet_link_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/ntrans.c
===================================================================
--- uspace/srv/net/inetsrv/ntrans.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/ntrans.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2021 Jiri Svoboda
  * Copyright (c) 2013 Antonin Steinhauser
  * All rights reserved.
@@ -38,4 +39,5 @@
 #include <errno.h>
 #include <fibril_synch.h>
+#include <inet/eth_addr.h>
 #include <inet/iplink_srv.h>
 #include <stdlib.h>
@@ -73,5 +75,5 @@
  *
  */
-errno_t ntrans_add(addr128_t ip_addr, addr48_t mac_addr)
+errno_t ntrans_add(addr128_t ip_addr, eth_addr_t *mac_addr)
 {
 	inet_ntrans_t *ntrans;
@@ -83,5 +85,5 @@
 
 	addr128(ip_addr, ntrans->ip_addr);
-	addr48(mac_addr, ntrans->mac_addr);
+	ntrans->mac_addr = *mac_addr;
 
 	fibril_mutex_lock(&ntrans_list_lock);
@@ -134,5 +136,5 @@
  *
  */
-errno_t ntrans_lookup(addr128_t ip_addr, addr48_t mac_addr)
+errno_t ntrans_lookup(addr128_t ip_addr, eth_addr_t *mac_addr)
 {
 	fibril_mutex_lock(&ntrans_list_lock);
@@ -144,5 +146,5 @@
 
 	fibril_mutex_unlock(&ntrans_list_lock);
-	addr48(ntrans->mac_addr, mac_addr);
+	*mac_addr = ntrans->mac_addr;
 	return EOK;
 }
Index: uspace/srv/net/inetsrv/ntrans.h
===================================================================
--- uspace/srv/net/inetsrv/ntrans.h	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/ntrans.h	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2021 Jiri Svoboda
  * Copyright (c) 2013 Antonin Steinhauser
  * All rights reserved.
@@ -38,6 +39,7 @@
 #define NTRANS_H_
 
+#include <inet/addr.h>
+#include <inet/eth_addr.h>
 #include <inet/iplink_srv.h>
-#include <inet/addr.h>
 
 /** Address translation table element */
@@ -45,10 +47,10 @@
 	link_t ntrans_list;
 	addr128_t ip_addr;
-	addr48_t mac_addr;
+	eth_addr_t mac_addr;
 } inet_ntrans_t;
 
-extern errno_t ntrans_add(addr128_t, addr48_t);
+extern errno_t ntrans_add(addr128_t, eth_addr_t *);
 extern errno_t ntrans_remove(addr128_t);
-extern errno_t ntrans_lookup(addr128_t, addr48_t);
+extern errno_t ntrans_lookup(addr128_t, eth_addr_t *);
 extern errno_t ntrans_wait_timeout(usec_t);
 
Index: uspace/srv/net/inetsrv/pdu.c
===================================================================
--- uspace/srv/net/inetsrv/pdu.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/inetsrv/pdu.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -40,4 +40,5 @@
 #include <errno.h>
 #include <fibril_synch.h>
+#include <inet/eth_addr.h>
 #include <io/log.h>
 #include <macros.h>
@@ -504,5 +505,5 @@
 
 	message->length = 1;
-	addr48(ndp->sender_hw_addr, message->mac);
+	eth_addr_encode(&ndp->sender_hw_addr, message->mac);
 
 	icmpv6_phdr_t phdr;
@@ -552,5 +553,5 @@
 
 	addr128_t_be2host(message->target_address, ndp->target_proto_addr);
-	addr48(message->mac, ndp->sender_hw_addr);
+	eth_addr_decode(message->mac, &ndp->sender_hw_addr);
 
 	return EOK;
Index: uspace/srv/net/loopip/loopip.c
===================================================================
--- uspace/srv/net/loopip/loopip.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/loopip/loopip.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2012 Jiri Svoboda
+ * Copyright (c) 2021 Jiri Svoboda
  * All rights reserved.
  *
@@ -41,4 +41,5 @@
 #include <inet/iplink_srv.h>
 #include <inet/addr.h>
+#include <inet/eth_addr.h>
 #include <io/log.h>
 #include <loc.h>
@@ -55,5 +56,5 @@
 static errno_t loopip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu);
 static errno_t loopip_get_mtu(iplink_srv_t *srv, size_t *mtu);
-static errno_t loopip_get_mac48(iplink_srv_t *srv, addr48_t *mac);
+static errno_t loopip_get_mac48(iplink_srv_t *srv, eth_addr_t *mac);
 static errno_t loopip_addr_add(iplink_srv_t *srv, inet_addr_t *addr);
 static errno_t loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr);
@@ -231,5 +232,5 @@
 }
 
-static errno_t loopip_get_mac48(iplink_srv_t *src, addr48_t *mac)
+static errno_t loopip_get_mac48(iplink_srv_t *src, eth_addr_t *mac)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_get_mac48()");
Index: uspace/srv/net/loopip/meson.build
===================================================================
--- uspace/srv/net/loopip/meson.build	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/loopip/meson.build	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 #
-# Copyright (c) 2012 Jiri Svoboda
+# Copyright (c) 2021 Jiri Svoboda
 # All rights reserved.
 #
@@ -27,3 +27,4 @@
 #
 
+deps = [ 'inet' ]
 src = files('loopip.c')
Index: uspace/srv/net/nconfsrv/meson.build
===================================================================
--- uspace/srv/net/nconfsrv/meson.build	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/nconfsrv/meson.build	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,4 +1,4 @@
 #
-# Copyright (c) 2013 Jiri Svoboda
+# Copyright (c) 2021 Jiri Svoboda
 # All rights reserved.
 #
@@ -27,3 +27,4 @@
 #
 
+deps = [ 'inet' ]
 src = files('iplink.c', 'nconfsrv.c')
Index: uspace/srv/net/slip/slip.c
===================================================================
--- uspace/srv/net/slip/slip.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/slip/slip.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -1,3 +1,4 @@
 /*
+ * Copyright (c) 2021 Jiri Svoboda
  * Copyright (c) 2013 Jakub Jermar
  * All rights reserved.
@@ -40,4 +41,5 @@
 #include <loc.h>
 #include <inet/addr.h>
+#include <inet/eth_addr.h>
 #include <inet/iplink_srv.h>
 #include <io/chardev.h>
@@ -62,5 +64,5 @@
 static errno_t slip_send6(iplink_srv_t *, iplink_sdu6_t *);
 static errno_t slip_get_mtu(iplink_srv_t *, size_t *);
-static errno_t slip_get_mac48(iplink_srv_t *, addr48_t *);
+static errno_t slip_get_mac48(iplink_srv_t *, eth_addr_t *);
 static errno_t slip_addr_add(iplink_srv_t *, inet_addr_t *);
 static errno_t slip_addr_remove(iplink_srv_t *, inet_addr_t *);
@@ -176,5 +178,5 @@
 }
 
-errno_t slip_get_mac48(iplink_srv_t *src, addr48_t *mac)
+errno_t slip_get_mac48(iplink_srv_t *src, eth_addr_t *mac)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_get_mac48()");
Index: uspace/srv/net/tcp/test.c
===================================================================
--- uspace/srv/net/tcp/test.c	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/net/tcp/test.c	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -82,5 +82,5 @@
 	}
 
-	fibril_usleep(/*10**/1000 * 1000);
+	fibril_usleep(1000 * 1000);
 
 	printf("S: User close...\n");
@@ -116,5 +116,5 @@
 	tcp_uc_send(conn, (void *)msg, str_size(msg), 0);
 
-	fibril_usleep(1000 * 1000 * 20/**20*2*/);
+	fibril_usleep(1000 * 1000 * 20);
 	printf("C: User close...\n");
 	tcp_uc_close(conn);
Index: uspace/srv/test/chardev-test/meson.build
===================================================================
--- uspace/srv/test/chardev-test/meson.build	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ uspace/srv/test/chardev-test/meson.build	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -27,3 +27,4 @@
 #
 
+deps = [ 'device' ]
 src = files('main.c')
Index: version
===================================================================
--- version	(revision 5b9993b49f8397a774a9ba98c8299b2b7d423b56)
+++ version	(revision 3a4a944f9be64d2ec90b47d2a2e5502e505d46a4)
@@ -28,5 +28,5 @@
 
 
-HELENOS_RELEASE = 0.9.1
-HELENOS_CODENAME = Armonia
-HELENOS_COPYRIGHT = Copyright (c) 2001-2019 HelenOS project
+HELENOS_RELEASE = 0.11.1
+HELENOS_CODENAME = Jubilee
+HELENOS_COPYRIGHT = Copyright (c) 2001-2021 HelenOS project
